
    <div class="pt-3 pb-1" id="breadcrumbs-wrapper">
        <!-- Search for small screen-->
        <div class="container">
          <div class="row">
            <div class="col s12 m6 l6">
              <h5 class="breadcrumbs-title mt-0 mb-0"><span>Liste des documents traite</span></h5>
            </div>
            <div class="col s12 m6 l6 right-align-md">
              <ol class="breadcrumbs mb-0">
                <li class="breadcrumb-item"><a href="/Dashborddocument">Acceuil</a>
                </li>
                <li class="breadcrumb-item">Gestion des documents
                </li>
                <li class="breadcrumb-item active">Liste des documents traite
                </li>
              </ol>
            </div>
          </div>
        </div>
      </div>
     
          <div class="section section-data-tables">
  
  <!-- Page Length Options -->
  <div class="row">
  <div class="col s12">
    <div class="card">
      <div class="card-content">
        <h4 class="card-title"></h4>
        <div class="row">
          <div class="col s12">
            <table id="page-length-option" class="display">
              <thead>
                <tr>
                  <th>Nom fichier</th>
               
                  
                  <th>Action</th>
                </tr>
              </thead>
              <tbody>
                <tr *ngFor="let f of files;index as i">
                 
                 
                  <td>   
                           
   <a target="_blank" href="assets/app-assets/file/{{f}}">{{f}}</a>
                  </td>
               
                  
                  <td> 
                    <a class="dropdown-trigger" href="#" [attr.data-target]="'dropdown'+i">
                      <i class="material-icons">arrow_drop_down</i>
                    </a>
                    <ul id='dropdown{{i}}' class='dropdown-content' >
                    <li><a  class="modal-trigger" [attr.data-target]="'modal'+i" > Traiter</a></li>
                    <li><a  (click)="delete(f)"> Supprime</a></li>

                    </ul>
                    </td>
                
  <div id="modal{{i}}" class="modal modal-fixed-footer" >
    <form  #for="ngForm" (ngSubmit)="save(for.value)">
      <div class="modal-content" >
        <h4>documents Traite</h4>
        <br>
    
     
        <input    type="hidden" name="file" [ngModel]="f" #file="ngModel" required>

          <div class="input-field col s6">
            <input  id="name2" class="validate" type="text" name="nom" ngModel="nom" #nom="ngModel" required>
            <label for="name2" class="active">Nom fichier*</label>
          </div>
          <div class="input-field col s6" >
            <input  id="name3" class="validate" type="date" name="date" ngModel="date" #date="ngModel" required>
            <label for="name2">sacnné lé*</label>
          </div>
          <div class="input-field col s6">
            <input  id="name3" class="validate" type="text" name="type" ngModel="type" #type="ngModel"  required>
            <label for="name2" class="active">Type*</label>
          </div>
          <div class="input-field col s6">
            <label for="name2" class="active">Client*</label>
            <select  searchable='Liste de Voiture' id="xxxx" name="client" ngModel="client" #client="ngModel"     required >

              <option *ngFor="let c of clients" [value]="c.id">
                {{c.nom}} {{c.prenom}} || {{c.cin}}
               </option>
            </select>
           
          </div>
        
         
         
         </div>
      
      <div class="modal-footer">
         <button   type="submit" class="btn cyan waves-effect waves-light right" style="margin-right: 25px;">Valider</button>
      </div>
    </form>
  </div>
              </tr>
              </tbody>
            </table>
          </div>
        </div>
      </div>
    </div>
  </div>
  </div>
  </div>
  
  

  